/* eslint-disable @typescript-eslint/no-explicit-any */
//@ts-nocheck
/**
 * This file was automatically generated by openapi-codegeneration.
 * DO NOT MODIFY IT BY HAND. Instead, modify the source OpenAPI file,
 * and run openapi-codegeneration to regenerate this file.
 */
import { ValidationError } from '@crosslab/service-common';
import * as type_validation from "./type_validation.cjs";
/**
 * This function validates the GET request on /auth
 */
export function validateGetAuth(handler) {
    return async (req, res, next) => {
        try {
            const parameters = {
                "Authorization": req.get("Authorization"),
                "X-Real-IP": req.get("X-Real-IP"),
                "X-Forwarded-Proto": req.get("X-Forwarded-Proto")
            };
            if (parameters["Authorization"] !== undefined) {
                if (!type_validation.validateAuthorizationRequest(parameters["Authorization"])) {
                    const errors = type_validation.validateAuthorizationRequest.errors;
                    throw new ValidationError('Validation Error', errors, 400);
                }
            }
            if (parameters["X-Real-IP"] !== undefined) {
                if (!type_validation.validateXRealIPRequest(parameters["X-Real-IP"])) {
                    const errors = type_validation.validateXRealIPRequest.errors;
                    throw new ValidationError('Validation Error', errors, 400);
                }
            }
            if (parameters["X-Forwarded-Proto"] !== undefined) {
                if (!type_validation.validateXForwardedProtoRequest(parameters["X-Forwarded-Proto"])) {
                    const errors = type_validation.validateXForwardedProtoRequest.errors;
                    throw new ValidationError('Validation Error', errors, 400);
                }
            }
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the POST request on /login
 */
export function validatePostLogin(handler) {
    return async (req, res, next) => {
        try {
            if (!type_validation.validatePostLoginRequestBodyRequest(req.body)) {
                const errors = type_validation.validatePostLoginRequestBodyRequest.errors;
                throw new ValidationError('Validation Error', errors, 400);
            }
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the POST request on /logout
 */
export function validatePostLogout(handler) {
    return async (req, res, next) => {
        try {
            if (!type_validation.validatePostLogoutRequestBodyRequest(req.body)) {
                const errors = type_validation.validatePostLogoutRequestBodyRequest.errors;
                throw new ValidationError('Validation Error', errors, 400);
            }
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the GET request on /users
 */
export function validateGetUsers(handler) {
    return async (req, res, next) => {
        try {
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the POST request on /users
 */
export function validatePostUsers(handler) {
    return async (req, res, next) => {
        try {
            if (!type_validation.validatePostUsersRequestBodyRequest(req.body)) {
                const errors = type_validation.validatePostUsersRequestBodyRequest.errors;
                throw new ValidationError('Validation Error', errors, 400);
            }
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the GET request on /users/{user_id}
 */
export function validateGetUsersByUserId(handler) {
    return async (req, res, next) => {
        try {
            const parameters = {
                "user_id": req.params["user_id"]
            };
            if (!type_validation.validateUserIdRequest(parameters["user_id"])) {
                const errors = type_validation.validateUserIdRequest.errors;
                throw new ValidationError('Validation Error', errors, 400);
            }
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the PATCH request on /users/{user_id}
 */
export function validatePatchUsersByUserId(handler) {
    return async (req, res, next) => {
        try {
            const parameters = {
                "user_id": req.params["user_id"]
            };
            if (!type_validation.validateUserIdRequest(parameters["user_id"])) {
                const errors = type_validation.validateUserIdRequest.errors;
                throw new ValidationError('Validation Error', errors, 400);
            }
            if (!type_validation.validatePatchUsersByUserIdRequestBodyRequest(req.body)) {
                const errors = type_validation.validatePatchUsersByUserIdRequestBodyRequest.errors;
                throw new ValidationError('Validation Error', errors, 400);
            }
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the DELETE request on /users/{user_id}
 */
export function validateDeleteUsersByUserId(handler) {
    return async (req, res, next) => {
        try {
            const parameters = {
                "user_id": req.params["user_id"]
            };
            if (!type_validation.validateUserIdRequest(parameters["user_id"])) {
                const errors = type_validation.validateUserIdRequest.errors;
                throw new ValidationError('Validation Error', errors, 400);
            }
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the GET request on /identity
 */
export function validateGetIdentity(handler) {
    return async (req, res, next) => {
        try {
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the PATCH request on /identity
 */
export function validatePatchIdentity(handler) {
    return async (req, res, next) => {
        try {
            if (req.body !== undefined) {
                if (!type_validation.validatePatchIdentityRequestBodyRequest(req.body)) {
                    const errors = type_validation.validatePatchIdentityRequestBodyRequest.errors;
                    throw new ValidationError('Validation Error', errors, 400);
                }
            }
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
/**
 * This function validates the POST request on /token
 */
export function validatePostToken(handler) {
    return async (req, res, next) => {
        try {
            if (!type_validation.validatePostTokenRequestBodyRequest(req.body)) {
                const errors = type_validation.validatePostTokenRequestBodyRequest.errors;
                throw new ValidationError('Validation Error', errors, 400);
            }
            return await handler(req, res, next);
        }
        catch (err) {
            next(err);
        }
    };
}
//# sourceMappingURL=validation.js.map